'use strict';

/*!
 * @techmely/utils
 * Copyright(c) 2021-2024 Techmely <techmely.creation@gmail.com>
 * MIT Licensed
 */


// src/isPrimitive.ts
function isPrimitive(value) {
  if (value === null) {
    return true;
  }
  return !["array", "function", "object"].includes(typeof value);
}

exports.isPrimitive = isPrimitive;
